{
  config,
  lib,
  pkgs,
  ...
}: {
  fonts.fontconfig = {
    enable = true;
    defaultFonts = {
      emoji = [
        "Noto Emoji"
        "Noto Color Emoji"
      ];
      monospace = ["JetBrainsMono-NF-Regular"];
      sansSerif = ["Roboto"];
    };
  };

  home.packages = with pkgs; [
    # Font viewer
    gnome-font-viewer
    fontpreview
    # Fonts
    noto-fonts
    noto-fonts-cjk-sans
    noto-fonts-cjk-serif
    noto-fonts-color-emoji
    noto-fonts-monochrome-emoji
    roboto
    (nerdfonts.override {
      fonts = [
        "ZedMono"
        "JetBrainsMono"
      ];
    })
  ];
}
